Content & StorefrontCollections
List collections
Lists the published collections with their public metadata.
Query Parameters
search?string
Free-text search.
sort?string
Value in
- "default"
- "nameAsc"
- "nameDesc"
- "orderAsc"
- "orderDesc"
- "newest"
- "updatedDesc"
Header Parameters
x-Store-Domain*string
Slug of the store or one of its configured domains, such as my-store.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://storefront.ecomiq.pe/v1/collections" \ -H "x-Store-Domain: my-store"[ { "id": "7204558912004326958", "slug": "nueva-temporada", "name": "Nueva temporada", "description": "Polo de algodón pima para uso diario.", "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp", "type": "Nueva temporada", "productCount": 24, "template": "Nueva temporada" }]